Bug 173590 - New ports: textproc/fcitx-m17n and vietnamese/fcitx-unikey, libm17n and unikey support for Fcitx
Summary: New ports: textproc/fcitx-m17n and vietnamese/fcitx-unikey, libm17n and unike...
Status: Closed Overcome By Events
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Tobias Kortkamp
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-11-13 00:20 UTC by lichray
Modified: 2019-02-27 11:38 UTC (History)
2 users (show)

See Also:


Attachments
file.shar (3.51 KB, text/plain)
2012-11-13 00:20 UTC, lichray
no flags Details
fcitx-unikey.shar (3.48 KB, text/plain)
2013-02-10 23:00 UTC, lichray
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description lichray 2012-11-13 00:20:00 UTC
	
	fcitx-m17n   - libm17n binding
	fcitx-unikey - vietnamese keyboard.

	fcitx-unikey always build the macro-editor if Qt4 is found; the option only controls whether the editor is being installed.  Not a big deal; it's safe from the aspect of ports.

Fix: 

--- fcitx-unikey.shar ends here -----7ZejgVndxxt1se32j9ls6CwslpELvb6xEjdf4GUyLX01fmHs
Content-Type: text/plain; name="fcitx-m17n.shar"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="fcitx-m17n.shar"

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	fcitx-m17n
#	fcitx-m17n/distinfo
#	fcitx-m17n/pkg-plist
#	fcitx-m17n/Makefile
#	fcitx-m17n/pkg-descr
#
echo c - fcitx-m17n
mkdir -p fcitx-m17n > /dev/null 2>&1
echo x - fcitx-m17n/distinfo
sed 's/^X//' >fcitx-m17n/distinfo << '9c55304c7a3946d22da55b902f37ef41'
XSHA256 (fcitx/fcitx-m17n-0.1.3.tar.xz) = 12e26e6bb225a5abcc42a1f8b738746b4d66d07ff3a546a289578a42d605814a
XSIZE (fcitx/fcitx-m17n-0.1.3.tar.xz) = 33316
9c55304c7a3946d22da55b902f37ef41
echo x - fcitx-m17n/pkg-plist
sed 's/^X//' >fcitx-m17n/pkg-plist << '2d9c185ae53835d2a287a5bcfea37204'
Xlib/fcitx/fcitx-m17n.so
Xshare/fcitx/addon/fcitx-m17n.conf
Xshare/fcitx/configdesc/fcitx-m17n.desc
Xshare/fcitx/m17n/default
Xshare/locale/zh_CN/LC_MESSAGES/fcitx-m17n.mo
Xshare/locale/zh_TW/LC_MESSAGES/fcitx-m17n.mo
X@dirrm share/fcitx/m17n
2d9c185ae53835d2a287a5bcfea37204
echo x - fcitx-m17n/Makefile
sed 's/^X//' >fcitx-m17n/Makefile << '2e845d2318aa7c45370a8c03336732e9'
X# New ports collection makefile for:	fcitx-m17n
X# Date created:				11 Nov 2012
X# Whom:			Zhihao Yuan <lichray@gmail.com>
X#
X# $FreeBSD$
X#
X
XPORTNAME=	fcitx-m17n
XPORTVERSION=	0.1.3
XCATEGORIES=	textproc
XMASTER_SITES=	GOOGLE_CODE
XDIST_SUBDIR=	fcitx
X
XMAINTAINER=	lichray@gmail.com
XCOMMENT=	The libm17n support for Fcitx
X
XLIB_DEPENDS=	fcitx-config:${PORTSDIR}/chinese/fcitx \
X		m17n:${PORTSDIR}/devel/m17n-lib
X
XUSE_XZ=		yes
XUSE_GETTEXT=	yes
XUSE_CMAKE=	yes
XUSE_GNOME=	intltool
X
XPROJECTHOST=	fcitx
X
X.include <bsd.port.mk>
2e845d2318aa7c45370a8c03336732e9
echo x - fcitx-m17n/pkg-descr
sed 's/^X//' >fcitx-m17n/pkg-descr << 'afd237ab6b062571606e0f03322f144c'
Xfcitx-m17n provides the libm17n, a multilingual input method engine,
Xas a back-end to the Fcitx IM framework.
X
XWWW:	http://code.google.com/p/fcitx/
afd237ab6b062571606e0f03322f144c
exit
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2013-01-23 03:34:36 UTC
State Changed
From-To: open->feedback

It appears that the first of these two ports was committed, but not the 
other? 


Comment 2 Mark Linimon freebsd_committer freebsd_triage 2013-01-23 03:34:36 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wen
Comment 3 lichray 2013-02-10 23:00:05 UTC
Dependencies fixed.

-- 
Zhihao Yuan, ID lichray
The best way to predict the future is to invent it.
___________________________________________________
4BSD -- http://4bsd.biz/
Comment 4 Carlo Strub freebsd_committer 2014-09-11 20:09:22 UTC
Is this PR still relevant?
Comment 5 Walter Schwarzenfeld freebsd_triage 2018-01-12 03:37:38 UTC
Makefile shows
USES=           cmake gettext
(desired changes except intltool done, don't know if it necessairy).
But I think this is done, and can be closed.
Comment 6 Walter Schwarzenfeld freebsd_triage 2018-02-26 20:06:55 UTC
fcitx-unikey still not committed.
Comment 7 Tobias Kortkamp freebsd_committer 2019-02-27 11:38:59 UTC
(In reply to w.schwarzenfeld from comment #6)
> fcitx-unikey still not committed.

fcitx-unikey.shar has things in it that the framework no longer supports.
If this is still relevant it would be best to just open a new PR with an
updated patch.